osg::DrawArraysIndirectCommand Struct Reference

DrawArraysCommand. More...

`#include <PrimitiveSetIndirect>`

## Public Member Functions

| DrawArraysIndirectCommand (unsigned int pcount=0, unsigned int pinstanceCount=0, unsigned int pfirst=0, unsigned int pbaseInstance=0)

## Public Attributes

unsigned int | count
unsigned int | instanceCount
unsigned int | first
unsigned int | baseInstance

## Detailed Description

DrawArraysCommand.

## Constructor & Destructor Documentation

## DrawArraysIndirectCommand()

osg::DrawArraysIndirectCommand::DrawArraysIndirectCommand | ( | unsigned int | pcount = 0,
|  | unsigned int | pinstanceCount = 0,
|  | unsigned int | pfirst = 0,
|  | unsigned int | pbaseInstance = 0 )

inline

References baseInstance, count, first, and instanceCount.

## Member Data Documentation

## baseInstance

unsigned int osg::DrawArraysIndirectCommand::baseInstance

Referenced by DrawArraysIndirectCommand().

## count

unsigned int osg::DrawArraysIndirectCommand::count

Referenced by DrawArraysIndirectCommand().

## first

unsigned int osg::DrawArraysIndirectCommand::first

Referenced by DrawArraysIndirectCommand().

## instanceCount

unsigned int osg::DrawArraysIndirectCommand::instanceCount

Referenced by DrawArraysIndirectCommand().

The documentation for this struct was generated from the following file:

- PrimitiveSetIndirect